using System.Collections.Generic;

namespace SlatedGameToolkit.Framework.Graphics.Window
{
    internal static class WindowManager {
        private static Dictionary<uint, WindowContext> existingWindows = new Dictionary<uint, WindowContext>();

        internal static void RegisterWindow(WindowContext windowHandle) {
            GameEngine.Logger.Debug("Registering window: " + windowHandle.WindowID);
            existingWindows.Add(windowHandle.WindowID, windowHandle);
        }
        
        internal static void DeregisterWindow(WindowContext windowHandle) {
            GameEngine.Logger.Debug("Deregistering window: " + windowHandle.WindowID);
            existingWindows.Remove(windowHandle.WindowID);
        }

        internal static WindowContext HandleFromID(uint ID) {
            return existingWindows[ID];
        }
    }
}